Name:           ember
Version:        0.7.2
Release:        19%{?dist}
Summary:        3D client for WorldForge

Group:          Amusements/Games
License:        GPLv3+
URL:            http://www.worldforge.org/dev/eng/clients/ember
Source0:        http://downloads.sourceforge.net/worldforge/%{name}-%{version}.tar.bz2
Patch1:         ember-0.6.3-fix_implicit_dso.patch
Patch3:         ember-start.patch
Patch6:         ember-doc-nover.patch
# From upstream commit f605bd4bd15ea83da4d7864d45018e6f9a175b76
Patch7:         ember-0.7.2-fix-boost-m4.patch
Patch8:         ember-0.7.2-sigc++.patch
# Use cegui06 to avoid cegui's dependency on lua >= 5.2
BuildRequires:  SDL-devel tinyxml-devel DevIL-devel cegui-devel ogre-devel
BuildRequires:  lua-devel tolua++-devel openal-devel freealut-devel
BuildRequires:  atlascpp-devel 
BuildRequires:  eris-devel >= 1.3.16 
BuildRequires:  mercator-devel 
BuildRequires:  varconf-devel 
BuildRequires:  wfmath-devel >= 1.0
BuildRequires:  libwfut-devel
BuildRequires:  desktop-file-utils
BuildRequires:  cppunit-devel
# libtool is only needed while we need to run autogen.sh
BuildRequires:  libtool

Requires:       %{name}-media >= 0.7.2 %{name}-media < 0.7.3

Obsoletes:      sear < 0.6.4-0.16

%description
Ember is a client for MMORPGs using the WorldForge system.
It uses the Ogre 3D engine with CEGUI.


%prep
%setup -q
%patch1 -p1 -b .fix_implicit_dso
%patch3 -p0 -b .start
%patch6 -p0 -b .doc-nover
%patch7 -p1 -b .boost-m4
%patch8 -p1 -b .sigc++

# Encoding fix
iconv -f iso-8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS


%build
# configure.ac needs to be rebuilt for the updated boost.m4 needed to 
# work with gcc 5. This shouldn't be needed after the next ember release.
./autogen.sh
%configure --disable-static --disable-freeimage-check
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
    --remove-category="Application" --add-category="RolePlaying" \
    --delete-original --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mv $RPM_BUILD_ROOT%{_datadir}/icons/worldforge/ember.png \
    $RPM_BUILD_ROOT%{_datadir}/pixmaps/

# Don't need zero length files
rm -f $RPM_BUILD_ROOT%{_datadir}/ember/media/shared/modeldefinitions/{drystan_archer,vehicles,outdoor_structures,buildings,fencegate,palissade,house_A,choppingblockA,choppingblockB,mushroom,male,humanoid}.modeldef
rm -f $RPM_BUILD_ROOT%{_datadir}/ember/media/shared/common/resources/ogre/scripts/materials/smoke.material

%check
%ifnarch %{arm} aarch64
make check
%endif


%files
%doc AUTHORS ChangeLog COPYING NEWS README.md
%{_bindir}/%{name}
%{_bindir}/%{name}.bin
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/ember.png
# datadir/%{name} is owned by ember-media
# datadir/%{name}/media is owned by ember-media
# datadir/%{name}/media/shared is owned by ember-media
%{_datadir}/%{name}/media/shared/gui
%{_datadir}/%{name}/media/shared/entityrecipes
%{_datadir}/%{name}/media/shared/data/
%{_datadir}/%{name}/media/shared/scripting
%{_datadir}/%{name}/media/shared/sounddefinitions
# datadir/%{name}/media/user is owned by ember-media

# Not using noreplace: having old config file can make things not working as was intended. User can override settings with config in homedir.
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*

%changelog
* Fri Jul 21 2017 Kalev Lember <klember@redhat.com> - 0.7.2-19
- Rebuilt for Boost 1.64

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan 31 2017 Jonathan Wakely <jwakely@redhat.com> - 0.7.2-16
- Rebuilt for Boost 1.63

* Wed May 18 2016 Jonathan Wakely <jwakely@redhat.com> - 0.7.2-15
- Rebuilt for linker errors in boost (#1331983)

* Wed Feb 03 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 0.7.2-14
- Rebuild for boost-1.60.

* Tue Feb 02 2016 Tim Niemueller <tim@niemueller.de> - 0.7.2-13
- Add patch to fix building against recent libsigc++
- Disable make check on arm, fails for unknown reason

* Mon Feb 01 2016 Tim Niemueller <tim@niemueller.de> - 0.7.2-12
- rebuild for updated tolua++

* Thu Aug 27 2015 Jonathan Wakely <jwakely@redhat.com> - 0.7.2-11
- Rebuilt for Boost 1.59

* Wed Aug 05 2015 Jonathan Wakely <jwakely@redhat.com> 0.7.2-10
- Rebuilt for Boost 1.58

* Wed Jun 24 2015 Bruno Wolff III <bruno@wolff.to> - 0.7.2-9
- Go back to latest lua and hope mass rebuild fixed the issue

* Mon Jun 22 2015 Bruno Wolff III <bruno@wolff.to> - 0.7.2-8
- Use cegui06

* Sun Jun 21 2015 Bruno Wolff III <bruno@wolff.to> - 0.7.2-7
- The latest lua doesn't work with ember, use 5.1 instead

* Sat Jun 20 2015 Bruno Wolff III <bruno@wolff.to> - 0.7.2-6
- Bring in upstream fix for boost version detection
- Temporarily use autogen.sh to bring updated boost.m4 into configure.ac

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 05 2015 Martin Preisler <mpreisle@redhat.com> - 0.7.2-4
- Rebuilt for new boost

* Wed Dec 31 2014 Kevin Fenzi <kevin@scrye.com> 0.7.2-3
- Rebuild for new lua

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Filipe Rosset <rosset.filipe@gmail.com> - 0.7.2-1
- New upstream version, spec cleanup, fixes rhbz #925308, #1023695 and #1106214

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat May 31 2014 Björn Esser <bjoern.esser@gmail.com> - 0.7.0-12
- rebuild for several so-name bumps
- fix bogus dates in %%changelog

* Fri May 23 2014 David Tardon <dtardon@redhat.com> - 0.7.0-11
- rebuild for boost 1.55.0

* Sat Aug 10 2013 Bruno Wolff III <bruno@wolff.to> - 0.7.0-10
- Put documentation in non-versioned doc dir
- Resolves FTBFS bug 991885

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 29 2013 Petr Machata <pmachata@redhat.com> - 0.7.0-8
- Rebuild for boost 1.54.0

* Wed May 15 2013 Bruno Wolff III <bruno@wolff.to> - 0.7.0-7
- Have ex-sear switch to ember

* Tue May 14 2013 Tom Callaway <spot@fedoraproject.org> - 0.7.0-6
- lua 5.2

* Sun Feb 24 2013 Bruno Wolff III <bruno@wolff.to> - 0.7.0-5
- Remove vendor prefix from desktop file

* Tue Feb 12 2013 Petr Machata <pmachata@redhat.com> - 0.7.0-4
- Patch one use of boost::shared_array::reset

* Sat Feb 09 2013 Denis Arnaud <denis.arnaud_fedora@m4x.org> - 0.7.0-3
- Rebuild for Boost-1.53.0

* Wed Jan 23 2013 Bruno Wolff III <bruno@wolff.to> - 0.7.0-2
- Rebuild for cegui soname bump

* Fri Jan 18 2013 Martin Preisler <mpreisle@redhat.com> - 0.7.0-1
- Upstream 0.7.0

* Thu Dec 06 2012 Martin Preisler <mpreisle@redhat.com> - 0.6.3-4
- Rebuilt for Ogre 1.8.1

* Sat Dec 01 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.3-3
- Rebuild for eris 1.3.21

* Sat Nov 17 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.3-2
- Rebuild for varconf and skstream soname bumps

* Tue Nov 13 2012 Tom Callaway <spot@fedoraproject.org> - 0.6.3-1
- update to 0.6.3

* Fri Aug 17 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-12
- Rebuild for boost 1.50

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Apr 01 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-10
- Rebuild for ogre 1.7.4

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-9
- Rebuilt for c++ ABI breakage

* Fri Feb 03 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-8
- Really fix start up script bz 786287

* Wed Feb 01 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-7
- Fix start up script bz 786287

* Tue Jan 24 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-6
- Rebuild for cegui soname bump

* Mon Jan 23 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-5
- Fixes for gcc 4.7

* Wed Jan 18 2012 Bruno Wolff III <bruno@wolff.to> - 0.6.2-4
- Allow a small bit of version skew between ember and ember-media

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 19 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.2-2
- Rebuild for boost soname bump

* Sat Nov 19 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.2-1
- New upstream release
- Release announcement: http://worldforgedev.org/archives/462

* Fri Jul 22 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1.1-3
- Rebuild for boost 1.47

* Mon May 16 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1.1-2
- Use ember-media 0.6.1 instead of requiring 0.6.1.1 which doesn't exist

* Sun May 15 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1.1-1
- Upstream update to 0.6.1.1

* Sun May 01 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1-2
- The startup shell script changed slightly, breaking a patch

* Sun May 01 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.1-1
- Update to ember-0.6.1
- Seems to be pretty much a bug fix release based on the changelog in the source archive.

* Wed Apr 06 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-6
- Rebuild for boost soname bump to 1.46.1 in rawhide.

* Sat Mar 12 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-5
- Fix low level security risk (CVE-2010-3355 bug 638381)
- Avoid pointlessly munging LD_LIBRARY_PATH

* Thu Mar 10 2011 Bruno Wolff III <bruno@wolff.to> - 0.6.0-4
- Rebuild for new boost and ogre.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Feb 07 2011 Thomas Spura <tomspur@fedoraproject.org> - 0.6.0-2
- rebuild for new boost

* Thu Jan  6 2011 Tom Callaway <spot@fedoraproject.org> - 0.6.0-1
- update to 0.6.0

* Sun Jul  4 2010 Michel Salim <salimma@fedoraproject.org> - 0.5.6-5
- Fix implicit DSO bug (#565162)

* Tue Oct 06 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.6-4
- Rebuild for varconf interface version bump

* Mon Sep 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.6-3
- Rebuilt for new OGRE

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.6-1
- Update to 0.5.6

* Mon Mar 02 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.5-5
- Update for new OGRE

* Sun Mar 01 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.5-4
- Adding unowned directory

* Sat Feb 28 2009 Alexey Torkhov <atorkhov@gmail.com> - 0.5.5-3
- Fixing build with recent compilers

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.5-1
- Update to 0.5.5

* Wed Dec 03 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-5
- Removed program name from description
- Rebuild for new CEGUI

* Tue Nov 04 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-4
- Rebuild for new OGRE
- Including lost entityrecipes and sounddefinitions to media
- Running unit checks during build

* Thu Oct 23 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-3
- Workaround of crash in Caelum with new OGRE

* Thu Oct 02 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-2
- Update for new OGRE

* Tue Sep 09 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.4-1
- Update to 0.5.4.

* Tue Jul 08 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.3-1
- Update to 0.5.3.

* Fri Jun 20 2008 Alexey Torkhov <atorkhov@gmail.com> 0.5.2-1
- Inital spec for Fedora.
